# Firefox keyboard shortcuts
Had enough of accidentally hitting a wrong key? Wondering if you can do
something about it? Years of suffering, yet no real progress? Read on.

## Quick start

1. Locate your firefox installation folder. On Windows check `C:\Program Files\Mozilla Firefox`.
   You need the directory that contains the firefox executable.
2. Navigate to `defaults/pref` subfolder, it will probably contain a `channel-prefs.js` file.
3. Copy the `defaults/pref/autoconfig.js` file there. You will likely have to do this as superuser.
4. Copy the main `autoconfig.js` file (a different one) to the main folder, next to the firefox itself.
5. Restart firefox and enjoy.

## Enjoy what, exactly?
The shipped config completely disables a number of built-in shortcuts. This is the functionality we
find most useful ourselves, if you need something else you'll have to edit the `autoconfig.js` to
suit your own purpose.

## Anything else?
For debugging purposes it sets a superfluous preference that you can find in your `about:config` if
you search for `hackmaster`. If there's nothing, the file didn't load.

## What if I want some of shortcuts back?
Edit the file and delete the ids you want to keep.

## What if I want to disable more shortcuts?
Check out provided `keys.html`, locate the ids you want to disable and add them to the array.

## What if I want to edit a shortcut?
You are in for quite a ride. The shipped config removes the attributes from XML nodes, you will have
to change their values instead. Theoretically, it should work, but please don't ask us for advice or
guidance.

## Grumpy Mute wishes to add
Another sea of bullshit navigated.

Don't you like getting your feet dirty in the crossover between moldy legacy
and undocumented changes? No API reference, shitty DX, unjustifiable complexity,
everything, everywhere, all at once. Delicious.
